Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

C#
Visual Basic
Visual C++

Berkeley DB .NET API Documentation
DatabaseEnvironment..::.ArchivableDatabaseFiles Method
DatabaseEnvironment Class See Also Send Feedback

The database files that need to be archived in order to recover the database from catastrophic failure. Database files that have not been accessed during the lifetime of the current log files are not included in this list. It is also possible that some of the files referred to by the log have since been deleted from the system.

Namespace: BerkeleyDB
Assembly: libdb_dotnet181 (in libdb_dotnet181.dll) Version: 18.1.32.0

# Syntax

C#
    public List<string> ArchivableDatabaseFiles(
    	bool AbsolutePaths
    )

Visual Basic (Declaration)
    Public Function ArchivableDatabaseFiles ( _
    	AbsolutePaths As Boolean _
    ) As List(Of String)

Visual C++
    public:
    List<String^>^ ArchivableDatabaseFiles(
    	bool AbsolutePaths
    )

#### Parameters

AbsolutePaths
  Type: System..::.Boolean
  If true, all pathnames are returned as absolute pathnames, instead of relative to the database home directory.

#### Return Value

The database files that need to be archived in order to recover the database from catastrophic failure.

# Remarks

When Replication Manager is in use, log archiving is performed in a replication group-aware manner such that the log file status of other sites in the group are examined to determine if a log file could be in use.

See the db_archive utility for more information on database archival procedures.

# See Also

DatabaseEnvironment Class
BerkeleyDB Namespace